Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.server
Class LifecycleEvent

    java.lang.Object
      java.util.EventObject
          com.sun.appserv.server.LifecycleEvent

All Implemented Interfaces:
  java.io.Serializable

public class LifecycleEvent
extends java.util.EventObject

This class defines the types of events that get fired by the application server. It also contains a LifecycleEventContext that can be used by the lifecycle modules.

See Also:
  Serialized Form

Field Summary
`static int` | `INIT_EVENT` Server is initializing subsystems and setting up the runtime environment.
`static int` | `READY_EVENT` Server is ready to service requests
`static int` | `SHUTDOWN_EVENT` Server is shutting down applications
`static int` | `STARTUP_EVENT` Server is starting up applications
`static int` | `TERMINATION_EVENT` Server is terminating the subsystems and the runtime environment.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LifecycleEvent(java.lang.Object source, int eventType, java.lang.Object eventData, LifecycleEventContext ctx)` Construct new lifecycle event

Method Summary
`java.lang.Object` | `getData()` Get the data associated with the event.
`int` | `getEventType()` Get the type of event associated with this
`LifecycleEventContext` | `getLifecycleEventContext()` Get the ServerContext generating this lifecycle event

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INIT_EVENT

    public static final int INIT_EVENT

  Server is initializing subsystems and setting up the runtime environment.

  See Also:
    Constant Field Values

### STARTUP_EVENT

    public static final int STARTUP_EVENT

  Server is starting up applications

  See Also:
    Constant Field Values

### READY_EVENT

    public static final int READY_EVENT

  Server is ready to service requests

  See Also:
    Constant Field Values

### SHUTDOWN_EVENT

    public static final int SHUTDOWN_EVENT

  Server is shutting down applications

  See Also:
    Constant Field Values

### TERMINATION_EVENT

    public static final int TERMINATION_EVENT

  Server is terminating the subsystems and the runtime environment.

  See Also:
    Constant Field Values

Constructor Detail

### LifecycleEvent

    public LifecycleEvent(java.lang.Object source,
                          int eventType,
                          java.lang.Object eventData,
                          LifecycleEventContext ctx)

  Construct new lifecycle event

Parameters:
  `source` - The object on which the event initially occurred
  `eventType` - type of the event
  `ctx` - the underlying context for the lifecycle event

Method Detail

### getEventType

    public int getEventType()

  Get the type of event associated with this

### getData

    public java.lang.Object getData()

  Get the data associated with the event.

### getLifecycleEventContext

    public LifecycleEventContext getLifecycleEventContext()

  Get the ServerContext generating this lifecycle event

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.